/*
 * Copyright (c) 1983 Regents of the University of California.
 * All rights reserved.  The Berkeley software License Agreement
 * specifies the terms and conditions for redistribution.
 *
 *	@(#)talk.h	5.1 (Berkeley) 6/6/85
 */

#include <curses.h>
#include <utmp.h>

#define forever		for(;;)

#if (SUN3_1 | SUN3_2 | PYRAMID | ULTRIX1_2)
#define	MAXHOSTNAMELEN	64
#endif

#define BUF_SIZE	512
#define CHAT_SIZ	256

#define I_TALK	0
#define I_CHAT	1

FILE	*popen();
int	quit();
int	sleeper();

extern	int sockt;
extern	int curses_initialized;
extern	int invitation_waiting;

extern	char *current_state;
extern	int current_line;

typedef struct xwin {
	WINDOW	*x_win;
	int	x_nlines;
	int	x_ncols;
	int	x_line;
	int	x_col;
	char	kill;
	char	cerase;
	char	werase;
	char	redraw;
	char	chatline[CHAT_SIZ];
	int	column;
} xwin_t;

extern	xwin_t my_win;
extern	xwin_t his_win;
extern	WINDOW *line_win;

extern char my_interfac;
